/**
 * Custom objects to use as parameters.
 * @file
 * @ignore
 */

/**
 * Used to filter the search logic | Options to control how path saving is performed.
 * @typedef {object} SearchOptions
 * @property {boolean} [deepSearch] - Search subfolders.
 * @interface
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean|Boolean}
 */

/**
 * Options to control how paths search is performed.
 * @typedef {object} FilterOptions
 * @property {string|RegExp} [name] - The exact string or a pattern regex.
 * @property {string|RegExp} [extension] - The exact string or a pattern regex.
 * @property {string|RegExp} [folder] - The exact string or a pattern regex.
 * @property {string|RegExp} [root] - The exact string or a pattern regex.
 * @interface
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String|String}
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/RegExp|RegExp}
 */

module.exports = {};
